### Method

# AppStream Component add_launchable

since: 0.11.0

#### Declaration [src]

    void
    as_component_add_launchable (
      AsComponent* cpt,
      AsLaunchable* launchable
    )

#### Description [src]

Adds a `AsLaunchable` containing launchables entries for this component.

Available since: 0.11.0

#### Parameters

`launchable`

  Type: `AsLaunchable`

  A `AsLaunchable` instance.

  The data is owned by the caller of the method.